Class | RSS::NotWellFormedError
In: | rss/parser.rb
Parent: | Error

### Methods

new

### Attributes

element | [R] |
line | [R] |

### Public Class methods

new(line=nil, element=nil)

[Source]

    # File rss/parser.rb, line 10
        def initialize(line=nil, element=nil)
          message = "This is not well formed XML"
          if element or line
            message << "\nerror occurred"
            message << " in #{element}" if element
            message << " at about #{line} line" if line
          end
          message << "\n#{yield}" if block_given?
          super(message)
        end

[Validate]